## gccgo-go 1.2.1

=== misc/goplay/Makefile ===
# Copyright 2010 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

goplay: goplay.go
	go build goplay.go

=== doc/articles/wiki/Makefile ===
# Copyright 2010 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

all: index.html

CLEANFILES:=get.bin final-test.bin a.out

clean:
	rm -f $(CLEANFILES)

=== src/cmd/yacc/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

expr: yacc.go expr.y
	go run yacc.go -p expr expr.y
	go build -o expr y.go

clean:
	rm -f y.go y.output expr

=== src/lib9/utf/Makefile ===
# Copyright 2010 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

# The library is built by the Makefile in the parent directory.
# This Makefile only builds mkrunetype.
# GOROOT, GOOS, and GOARCH must be set explicitly.

TARG=mkrunetype

UnicodeData-%.txt:
	curl http://www.unicode.org/Public/$*/ucd/UnicodeData.txt >_$@
	mv _$@ $@

mkrunetype: mkrunetype.c
	cc -I../../../include -o mkrunetype -L$(GOROOT)/pkg/obj/$(GOOS)_$(GOARCH)/ mkrunetype.c -l9

runetypebody-%.h: mkrunetype UnicodeData-%.txt
	mkrunetype -p UnicodeData-$*.txt >_$@
	mv _$@ $@

CLEANFILES+=UnicodeData.txt

UNICODE_VERSION=6.2.0

test: mkrunetype UnicodeData-$(UNICODE_VERSION).txt
	mkrunetype -c UnicodeData-$(UNICODE_VERSION).txt

clean:
	rm -f UnicodeData.txt mkrunetype

=== src/pkg/unicode/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

maketables: maketables.go
	go build maketables.go

tables:	maketables
	./maketables --tables=all > tables.go
	gofmt -w tables.go

# Downloads from www.unicode.org, so not part
# of standard test scripts.
testtables: maketables
	@echo '***' Be sure to make tables and go install first
	./maketables -test

=== debian/changelog ===
gccgo-go (1.2.1-0ubuntu9) vivid; urgency=medium

  * Build using gccgo-4.9 on 32bit architectures.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Mar 2015 17:06:15 +0100

gccgo-go (1.2.1-0ubuntu7) vivid; urgency=medium

  * Add ppc64(el) support.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 13 Feb 2015 14:14:13 -0500

gccgo-go (1.2.1-0ubuntu6) vivid; urgency=medium

  * Fix patch syntax error I introduced in previous upload.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 21 Nov 2014 18:06:06 +0300

gccgo-go (1.2.1-0ubuntu5) vivid; urgency=medium

  * Include missing packages in gccgo-stdlib-ignore.patch (LP: #1393583).

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Mon, 17 Nov 2014 16:06:10 -0600

gccgo-go (1.2.1-0ubuntu4) utopic; urgency=medium

  * Patches for cgo support.

 -- Michael Hudson-Doyle <michael.hudson@linaro.org>  Wed, 24 Sep 2014 15:28:24 +1200

gccgo-go (1.2.1-0ubuntu1) trusty; urgency=medium

  * New upstream point release.
  * Fix error running unit tests due to duplicated symbols (LP: #1289067):
    - d/p/issue61970044_40001.diff: Replace with issue61970044_80001.diff,
      update to existing proposed fix upstream.
    - d/p/issue80300043_60001.diff: Cherry pick upstream trunk fix for
      cmd/go: go test -compiler gccgo produces duplicate symbol errors.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Mar 2014 10:50:18 +0000

gccgo-go (1.2-0ubuntu5) trusty; urgency=medium

  * d/postinst: Drop priority of go alternative to ensure that golang-go
    has priority on supported architectures. 
  * d/p/cmdgo.patch,d/rules: Use dpkg build flags during compilation
    (LP: #1279624).
  * d/p/issue61970044_40001.diff: Cherry pick fix to avoid having to use
    the -work flag when compiling go using gccgo (LP: #1279157).
  * d/p/gccgo-stdlib-ignore.patch: Add additional checks for stdlib paths
    under gccgo to allow use of go test -i (LP: #1279157).

 -- James Page <james.page@ubuntu.com>  Sat, 15 Feb 2014 22:18:45 +0000

gccgo-go (1.2-0ubuntu4) trusty; urgency=medium

  * d/p/gccgo-stdlib-ignore.patch: Update to ensure that stdlib imports are
    ignored when executing go test (LP: #1274698).

 -- James Page <james.page@ubuntu.com>  Fri, 31 Jan 2014 17:56:54 +0000

gccgo-go (1.2-0ubuntu3) trusty; urgency=medium

  * d/p/cmdgo.patch,d/rules: Refactor patched in Makefiles to be much simpler,
    resolving FTBFS on powerpc architecture.
  * d/postinst: Drop force option when installing alternative for /usr/bin/go.

 -- James Page <james.page@ubuntu.com>  Tue, 28 Jan 2014 12:32:46 +0000

gccgo-go (1.2-0ubuntu2) trusty; urgency=medium

  * d/rules: Fixup detection of 32-bit ARM platforms.
  * d/p/cmdgo.patch: Fixup use of -m flag across all platforms.

 -- James Page <james.page@ubuntu.com>  Mon, 27 Jan 2014 21:38:58 +0000

gccgo-go (1.2-0ubuntu1) trusty; urgency=medium

  * Initial release.

 -- James Page <james.page@ubuntu.com>  Mon, 27 Jan 2014 09:18:55 +0000

=== debian/control ===
Source: gccgo-go
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9~), gccgo [!armhf !i386 !powerpc], gccgo-4.9 [armhf i386 powerpc]
Standards-Version: 3.9.5
Homepage: http://golang.org/

Package: gccgo-go
Architecture: any
Depends: gccgo, ${misc:Depends}, ${shlibs:Depends}
Conflicts: golang-go (<< 2:1.2-2ubuntu2~)
Description: Go tool for use with gccgo
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 This package provides the 'go' tool built using gccgo instead of
 golang gc, defaulting to using gccgo.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(filter $(DEB_HOST_ARCH), armhf i386 powerpc))
  export GCCGO = gccgo-4.9
endif

# dpkg has not explicit GOFLAGS; however GCJFLAGS fits OK
export GOFLAGS=$(GCJFLAGS)

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean -D src/cmd/go
	dh_auto_clean -D src/cmd/cgo

override_dh_strip:
	# strip disabled as golang upstream doesn't support it and it makes go
	# crash. See http://bugs.debian.org/717172

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_auto_build:
	dh_auto_build -D src/cmd/go
	dh_auto_build -D src/cmd/cgo
